OVERLAY_CREATE_VIEWABLE(3)

EXPERIMENTAL_FUNC
overlay_create_viewable - Create a viewable overlay list.

SYNOPSIS
#include <karma_overlay.h>

KViewableOverlayList overlay_create_viewable

(KOverlayList olist, KWorldCanvas canvas)

DESCRIPTION
Create a viewable overlay list.

olist
    The overlay list to create the viewable object from.

canvas
    The world canvas that the overlay list is viewable on.

RETURN VALUE
A KViewableOverlayList object on success, else NULL. This is automatically destroyed when either the overlay list or the world canvas are destroyed.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/